#pragma once

#include <Array.h>
#include <Text.h>

using namespace Framework;

class SpielerTeamStrukturV
{
public:
    // variablen
    int spielerAnzahl;
    int teamAnzahl;
    Array< int > *spielerFarbe;
    Array< int > *teamFarbe;
    RCArray< Text > *teamName;
    Array< int > *teamSize;
    int ref;
    // Reference Counting
    virtual SpielerTeamStrukturV *getThis() = 0;
    virtual SpielerTeamStrukturV *release() = 0;
};